com.holonplatform.jdbc.spring.internal

## Class DataSourceFactoryBean

- java.lang.Object
- - com.holonplatform.jdbc.spring.internal.DataSourceFactoryBean

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.FactoryBean<DataSource>, org.springframework.beans.factory.InitializingBean

      public class DataSourceFactoryBean
      extends Object
      implements org.springframework.beans.factory.FactoryBean<DataSource>, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.InitializingBean

  Factory bean for automatic `DataSource` factory bean registration using `EnableDataSource` annotation.
  Since:
    5.0.0

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

      `OBJECT_TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceFactoryBean(DataSourceConfigProperties configuration)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()`
    `DataSource` | `getObject()`
    `Class<?>` | `getObjectType()`
    `boolean` | `isSingleton()`
    `void` | `setBeanClassLoader(ClassLoader classLoader)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceFactoryBean

          public DataSourceFactoryBean(DataSourceConfigProperties configuration)

      Constructor
      Parameters:
        `configuration` - Configuration properties

  - ### Method Detail

    - #### afterPropertiesSet

          public void afterPropertiesSet()
                                  throws Exception

      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
      Throws:
        `Exception`

    - #### setBeanClassLoader

          public void setBeanClassLoader(ClassLoader classLoader)

      Specified by:
        `setBeanClassLoader` in interface `org.springframework.beans.factory.BeanClassLoaderAware`

    - #### getObject

          public DataSource getObject()
                               throws Exception

      Specified by:
        `getObject` in interface `org.springframework.beans.factory.FactoryBean<DataSource>`
      Throws:
        `Exception`

    - #### getObjectType

          public Class<?> getObjectType()

      Specified by:
        `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<DataSource>`

    - #### isSingleton

          public boolean isSingleton()

      Specified by:
        `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<DataSource>`

Copyright © 2019 The Holon Platform. All rights reserved.